Prover
FlashProve
One proof covers one request: a pass over a 1,024-token window, stating the next token (PRD §1).
Pinned at anthropics/FlashProve@9e2bdd8ff5bf9c62f18263d7dac189b0400b260c
Claim card
The output token is the top choice of the integer model whose weights were committed under the given commitment ID, on the given 1,024-token window.
Shape only, not a reviewed card: the values are the RFC-0002 §Example, to be filled from upstream documentation.
- Claim class
next-token/exact-match/committed-weights- Security notion
- knowledge_soundness, for the Lean verifier; C++ verifier tested against it
- Security level
- q/2^124 + 2^-101 after q hash queries, exact-match policy
- Model
- random oracle, adversary classical
- Setup
- not stated
- Zero knowledge
- claimed true; hidden: weights; not hidden: a declared list of weights; status proved_and_tested
- Coverage
- phase prefill, unit request; tokens covered: the window's 1,024 positions; operations: not stated; policy: exact_match: top token of the integer model
- Binding
- not stated
- Assumptions
- configuration files fixed before the hash function is drawn
- the commitment ID is obtained from a trusted party
- Residual
- proves the integer model, which differs from the 16-bit model's top token at some positions
- Availability
- research
- Forbidden flags
- none listed
- Reviewed by
- no review yet
Rows
One block per workload and configuration. Repetition strips use each metric's own axis.
Workload fp-maverick-w1024-b1
Measured
setup_seconds
118.3 s
mean 118.3, sd 0.7024, min 117.6, max 119, n 3, n_failed 0
source: mock harness recordcommit_seconds
2,406 s
mean 2,406, sd 6.431, min 2,400, max 2,413, n 3, n_failed 0
source: mock harness recordprove_session_seconds
301.5 s
mean 301.5, sd 1.179, min 300.5, max 302.8, n 3, n_failed 0
source: mock harness recordprove_steady_seconds
234.9 s
mean 234.9, sd 1.106, min 233.9, max 236.1, n 3, n_failed 0
source: mock harness recordwhole_wall_seconds
2,707 s
mean 2,707, sd 7.603, min 2,700, max 2,715, n 3, n_failed 0
source: mock harness recordtokens_covered_total
5,120 token
mean 5,120, sd 0, min 5,120, max 5,120, n 3, n_failed 0
source: mock harness recordtokens_covered_steady
4,096 token
mean 4,096, sd 0, min 4,096, max 4,096, n 3, n_failed 0
source: mock harness recordrequests_count
5 count
mean 5, sd 0, min 5, max 5, n 3, n_failed 0
source: mock harness recordproofs_count
5 count
mean 5, sd 0, min 5, max 5, n 3, n_failed 0
source: mock harness recordproof_bytes_total
93,910,000 B
mean 93,910,000, sd 30,000, min 93,880,000, max 93,940,000, n 3, n_failed 0
source: mock harness recordverify_seconds
3.113 s
mean 3.113, sd 0.02517, min 3.090, max 3.140, n 3, n_failed 0
source: mock harness recordverify_seconds_total
15.60 s
mean 15.60, sd 0.1000, min 15.50, max 15.70, n 3, n_failed 0
source: mock harness recordverify_single_thread_seconds
21.13 s
mean 21.13, sd 0.03606, min 21.10, max 21.17, n 3, n_failed 0
source: mock harness recordDerived (computed by the derivation code)
rate_whole_wall
1.891 token/s
mean 1.891, sd 0.005308, min 1.886, max 1.896, n 3, n_failed 0
source: mock derivation recordrate_prove.session
16.98 token/s
mean 16.98, sd 0.06631, min 16.91, max 17.04, n 3, n_failed 0
source: mock derivation recordrate_prove.steady
17.43 token/s
mean 17.43, sd 0.08201, min 17.35, max 17.51, n 3, n_failed 0
source: mock derivation recordcost_per_1k_tokens_whole_wall
0.6301 USD/1k_token
mean 0.6301, sd 0.001770, min 0.6285, max 0.6320, n 3, n_failed 0
source: mock derivation recordproof_bytes_per_token
18,340 B/token
mean 18,340, sd 5.859, min 18,340, max 18,350, n 3, n_failed 0
source: mock derivation recordverify_seconds_per_token
0.003047 s/token
mean 0.003047, sd 1.953e-5, min 0.003027, max 0.003066, n 3, n_failed 0
source: mock derivation recordRuns
mock-fp-b1-r1completedmock-fp-b1-r2completedmock-fp-b1-r3completed- Superseded, failed and ineligible runs never contribute to statistics (RFC-0009 S7).
Run anatomy
Workload fp-maverick-w1024-b24
Measured
setup_seconds
120.7 s
mean 120.7, sd 0.7506, min 119.9, max 121.4, n 3, n_failed 0
source: mock harness recordcommit_seconds
2,411 s
mean 2,411, sd 12.35, min 2,398, max 2,423, n 3, n_failed 0
source: mock harness recordprove_session_seconds
1,186 s
mean 1,186, sd 6.304, min 1,179, max 1,192, n 3, n_failed 0
source: mock harness recordprove_steady_seconds
887.9 s
mean 887.9, sd 6.678, min 881.6, max 894.9, n 3, n_failed 0
source: mock harness recordwhole_wall_seconds
3,596 s
mean 3,596, sd 6.056, min 3,590, max 3,602, n 3, n_failed 0
source: mock harness recordtokens_covered_total
122,900 token
mean 122,900, sd 0, min 122,900, max 122,900, n 3, n_failed 0
source: mock harness recordtokens_covered_steady
98,300 token
mean 98,300, sd 0, min 98,300, max 98,300, n 3, n_failed 0
source: mock harness recordrequests_count
120 count
mean 120, sd 0, min 120, max 120, n 3, n_failed 0
source: mock harness recordproofs_count
120 count
mean 120, sd 0, min 120, max 120, n 3, n_failed 0
source: mock harness recordproof_bytes_total
2.254e9 B
mean 2.254e9, sd 602,800, min 2.253e9, max 2.254e9, n 3, n_failed 0
source: mock harness recordverify_seconds
3.120 s
mean 3.120, sd 0.03000, min 3.090, max 3.150, n 3, n_failed 0
source: mock harness recordverify_seconds_total
374.4 s
mean 374.4, sd 3.600, min 370.8, max 378, n 3, n_failed 0
source: mock harness recordverify_single_thread_seconds
21.14 s
mean 21.14, sd 0.03000, min 21.11, max 21.17, n 3, n_failed 0
source: mock harness recordDerived (computed by the derivation code)
rate_whole_wall
34.17 token/s
mean 34.17, sd 0.05753, min 34.11, max 34.23, n 3, n_failed 0
source: mock derivation recordrate_prove.session
103.6 token/s
mean 103.6, sd 0.5510, min 103.1, max 104.2, n 3, n_failed 0
source: mock derivation recordrate_prove.steady
110.7 token/s
mean 110.7, sd 0.8317, min 109.8, max 111.5, n 3, n_failed 0
source: mock derivation recordcost_per_1k_tokens_whole_wall
0.03487 USD/1k_token
mean 0.03487, sd 5.873e-5, min 0.03482, max 0.03493, n 3, n_failed 0
source: mock derivation recordproof_bytes_per_token
18,340 B/token
mean 18,340, sd 4.905, min 18,330, max 18,340, n 3, n_failed 0
source: mock derivation recordverify_seconds_per_token
0.003047 s/token
mean 0.003047, sd 2.930e-5, min 0.003018, max 0.003076, n 3, n_failed 0
source: mock derivation recordRuns
mock-fp-b24-r1completedmock-fp-b24-r2completedmock-fp-b24-r3completed- Superseded, failed and ineligible runs never contribute to statistics (RFC-0009 S7).
Run anatomy
Controls
fp-maverick-w1024-b1 profile prover-h100
6 passed0 failed4 void, not applicable or error
fp-maverick-w1024-b24 profile prover-h100
6 passed0 failed4 void, not applicable or error
Reference rows on the same workloads
RFC-0015
Measured
whole_wall_seconds
null (not_measurable_on_profile) s
Derived (computed by the derivation code)
rate_whole_wall
null (not_measurable_on_profile) token/s
Runs
No runs: the reference system cannot run this workload on the profile.
Figures the system publishes upstream
Real data from systems/flashprove/external.yaml, grade external
Copied at the pin, never recomputed or rounded in the record. They are context, never inputs to a measured number (RFC-0004 INV-MAP-1). The mapping from the upstream scope is marked approximate where the definitions differ.
| Metric | Workload | Value and labels | Upstream scope | Note |
|---|---|---|---|---|
| rate_prove.steady | fp-maverick-w1024-b24 | Proving speed in steady service, 24 requests a batch mapping approximate | mean of 3 runs; sd 0.92; 110.20 to 111.99; public 4-bit files | |
| rate_prove.session | fp-maverick-w1024-b24 | Speed counted from the program's start to the last release, five batches only mapping approximate | mean of 3 runs; sd 0.84; 102.65 to 104.24; public 4-bit files | |
| rate_prove.steady | fp-maverick-w1024-b1 | Proving speed in steady service, 1 request a batch mapping approximate | mean of 3 runs; sd 0.15; 17.24 to 17.51; public 4-bit files | |
| verify_single_thread_seconds | fp-maverick-w1024-b24 | The verifier on one proof with one thread mapping approximate | mean of 3 runs; sd 0.03; 21.11 to 21.17 |
Upstream pin anthropics/FlashProve@9e2bdd8ff5bf9c62f18263d7dac189b0400b260c